package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.UrPatentValid;
import com.ruoyi.system.domain.vo.UrPatentValidStaticVo;
import com.ruoyi.system.domain.vo.UrPatentValidVo;

/**
 * 有效专利Service接口
 * 
 * @author dm
 * @date 2023-02-10
 */
public interface IUrPatentValidService 
{
    /**
     * 查询有效专利列表(总入口)
     *
     * @param urPatentValid 有效专利
     * @return 有效专利集合
     */
    public List<UrPatentValidStaticVo> selectList(UrPatentValidVo urPatentValid);

    /**
     * 查询有效专利列表
     * 
     * @param urPatentValid 有效专利
     * @return 有效专利集合
     */
    public List<UrPatentValidStaticVo> selectUrPatentValidList(UrPatentValidVo urPatentValid);

    /**
     * 查询有效专利(区县)列表
     *
     * @param urPatentValid 有效专利
     * @return 有效专利集合
     */
    public List<UrPatentValidStaticVo> selectUrPatentValidDisList(UrPatentValidVo urPatentValid);

    /**
     * 获取专利有效-概览统计  动态表头
     * @param   vo  有效专利视图对象
     * @return
     */
    public List<UrPatentValid> selectHeaderList(UrPatentValidVo vo);

    public List<UrPatentValid> selectGroupDistrictName();

    void setDistrictName(String districtName);
}
